////////////////////////////////////////////////////////////////////////////////
//
// (C) 2010 Sarah Eris Horsley Caffee
//
// mandelbrot - A simple Mandelbrot Set viewer.
//
// Mandelbrot.h
// Mandelbrot set calculator class definition
//
////////////////////////////////////////////////////////////////////////////////

#ifndef MANDELBROT_H
#define MANDELBROT_H

#include <string>

#include "SDL.h"

#include "Fractal.h"

class Mandelbrot : public Fractal
   {
   public:
   Mandelbrot();

   bool calc_set();
   bool init(SDL_Surface * surf);

   private:

   void draw_pixel(int x, int y, Uint32 * color);
   };

#endif
